Skip to main content
GET
List inferred assignments for your loads
Provisional endpoint
This endpoint is available for early access. The core schema is stable, but minor details — such as field names or added fields — may change before it becomes generally available. Backward compatibility is not guaranteed.

See API Stability & Versioning for details on provisional endpoints.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

load_ids
string<uuid>[] | null

Limit results to specific loads using Catena's load IDs. For your own load identifiers, use load_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?load_ids=id1&load_ids=id2).

Maximum array length: 100
load_refs
string[] | null

Limit results to specific loads using your own load references, as posted. To specify multiple values, repeat the parameter for each value (e.g., ?load_refs=ref1&load_refs=ref2).

Maximum array length: 100
status
enum<string> | null

Limit results to loads in one state: scheduled until 2 hours before the estimated departure, matching from then until 2 hours after the estimated arrival, ended after that.

Available options:
scheduled,
matching,
ended
cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 500

Response

Successful Response

items
LoadInferredAssignmentsRead · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page